#pragma once
#include "panel.hpp"
#include "levelmanager.hpp"
#include <SFML/Graphics/RenderWindow.hpp>
#include <SFML/Graphics/Font.hpp>
#include "guecs.hpp"

namespace gui {
  class CombatUI {
    public:
      guecs::UI $gui;
      DinkyECS::Entity $meter;
      GameLevel $level;

      CombatUI(GameLevel level);

      void render(TexturePack& texture);
      void draw(sf::RenderWindow& window);
      void update_level(GameLevel &level) { $level = level; }
      void click(int x, int y);
      void set_damage(float percent);
  };
}
